using System;

namespace Z1_Madjionicar
{
    class Program
    {
        static void Main(string[] args)
        {
            int i, j=0, res=0;
            string[] s = Console.ReadLine().Split();
            int n = int.Parse(s[0]);
            int k = int.Parse(s[1]);
            int[] niz = new int[n];
            s = Console.ReadLine().Split();
            for (i = 0; i < n; i++)
            {
                niz[i] = int.Parse(s[i]);
                if (niz[i] == k)
                {
                    j = i;
                }
            }
            if (j + 1 == n)
            {
                res = niz[0];
            }
            else
            {
                res = niz[j + 1];
            }
            Console.WriteLine(res);
        }
    }
}